%define upstream_name    DateTime-Format-Epoch
%define upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Active Directory epoch seconds
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime) >= 0.310.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::BigInt) >= 1.660.0
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Test::More)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module can convert a DateTime object (or any object that can be
converted to a DateTime object) to the number of seconds since a given
epoch. It can also do the reverse.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.160.0-7.mga10
+ Revision: 2198088
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.160.0-6.mga9
+ Revision: 1802914
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.160.0-5.mga8
+ Revision: 1493850
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.160.0-4.mga7
+ Revision: 1267032
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.160.0-3.mga6
+ Revision: 1025111
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.160.0-2.mga6
+ Revision: 967655
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.160.0-1.mga6
+ Revision: 850032
- update to 0.16

* Wed Oct 15 2014 umeabot <umeabot> 0.130.0-6.mga5
+ Revision: 740366
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.130.0-5.mga5
+ Revision: 735478
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.130.0-4.mga5
+ Revision: 684274
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.130.0-3.mga4
+ Revision: 510751
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.130.0-2.mga3
+ Revision: 365590
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 21 2012 jquelin <jquelin> 0.130.0-1.mga3
+ Revision: 308789
- imported package perl-DateTime-Format-Epoch


* Sun Oct 21 2012 cpan2dist 0.13-1mga
- initial mageia release, generated with cpan2dist
